Un défaut de débordement d'entier a été trouvé dans la fonction create_elf_tables() du noyau Linux. Un utilisateur local non privilégié ayant accès à un binaire SUID (ou privilégié) pourrait utiliser cette faille pour accroître ses privilèges sur le système.

Ce problème n'affecte pas les systèmes qui ne disposent pas d'un espace d'adressage suffisant pour exploiter cette vulnérabilité. Les systèmes avec moins de 32 Go de RAM risquent également peu d'être affectés par ce problème en raison de la demande de mémoire requise pendant l'exploitation.

Le correctif de cette faille est disponible sur la chaîne de test KernelCare, et il couvre tous les noyaux à l'exception de Xen PV. Il y a toujours des problèmes avec les noyaux PV Xen, donc, veuillez ne pas appliquer le correctif sur les noyaux PV Xen. L'équipe CloudLinux travaille actuellement sur un correctif pour Xen PV.
 

Pour déployer un correctif, éditez /etc/sysconfig/kcare/kcare.conf et ajoutez la ligne suivante :

PREFIX=test 

Puis lancez la commande :

kcarectl --update 

Si vos tests révèlent des problèmes ou si vous avez besoin de plus de détails, veuillez nous contacter dès que possible.
 

États actuels par distribution :

  • CentOS 6 - Publié dans TEST ( dernière version: 2.6.32-754.3.5.el6)
  • CentOS 6-plus - Publié dans TEST ( dernière version: 2.6.32-754.3.5.el6)
  • CloudLinux 6 - Publié dans TEST (dernière version: 2.6.32-896.16.1.lve1.4.54.el6)
  • OpenVZ - Publié dans TEST ( dernière version: 2.6.32-042stab133.2)
  • RHEL 6 - Publié dans TEST ( dernière version: 2.6.32-754.3.5.el6)

Pour les nouvelles versions :

  • CentOS 7-plus: - Publié (dernière version: 3.10.0-862.11.6.el7)
  • RHEL 7: - Publié (dernière version: 3.10.0-862.11.6.el7)
  • CentOS 7 - à paraître
  • CloudLinux 6 Hybrid - Publié ( dernière version: 3.10.0-714.10.2.lve1.5.19.6. El6h)
  • CloudLinux 7 - Publié ( dernière version: 3.10.0-962.3.2.lve1.5.19.6.el7)


 jeudi, septembre 27, 2018



« Retour